[**@rxap/forms v19.0.4**](../README.md)

***

[@rxap/forms](../globals.md) / RxapForm

# Function: RxapForm()

> **RxapForm**(`optionsOrId`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/forms/src/lib/decorators/form.ts:4](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/decorators/form.ts#L4)

## Parameters

### optionsOrId

`string` | [`FormDefinitionMetadata`](../interfaces/FormDefinitionMetadata.md)

### className

`string` = `'FormDefinition'`

### packageName

`string` = `'@rxap/forms'`

## Returns

`Function`

### Parameters

#### target

`any`

### Returns

`void`
